Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Functions
tls_record.h File Reference
`#include <botan/tls_magic.h>`
`#include <botan/tls_version.h>`
`#include <botan/aead.h>`
`#include <botan/block_cipher.h>`
`#include <botan/mac.h>`
`#include <vector>`
`#include <chrono>`

Go to the source code of this file.

## Classes
class | Botan::TLS::Connection_Cipher_State
class | Botan::TLS::Record
class | Botan::TLS::Record_Message
class | Botan::TLS::Record_Raw_Input

## Namespaces
| Botan
| Botan::TLS

## Typedefs
typedef std::function< std::shared_ptr< Connection_Cipher_State >uint16_t)> | Botan::TLS::get_cipherstate_fn

## Functions
size_t | Botan::TLS::read_record (secure_vector< uint8_t > &readbuf, Record_Raw_Input &raw_input, Record &rec, Connection_Sequence_Numbers *sequence_numbers, get_cipherstate_fn get_cipherstate)
void | Botan::TLS::write_record (secure_vector< uint8_t > &output, Record_Message msg, Protocol_Version version, uint64_t seq, Connection_Cipher_State *cs, RandomNumberGenerator &rng)